Loading...
Searching...
No Matches
RDKit::MolDrawOptions Struct Reference

`#include <MolDraw2DHelpers.h>`

## Public Types

enum class | LegendPosition { Bottom , Top , Left , Right }

## Public Member Functions

| MolDrawOptions ()

## Public Attributes

bool | atomLabelDeuteriumTritium
bool | dummiesAreAttachments = false
bool | circleAtoms = true
bool | splitBonds = false
DrawColour | highlightColour {1.0, 0.5, 0.5, 1.0}
bool | continuousHighlight = true
bool | fillHighlights = true
double | highlightRadius = 0.3
int | flagCloseContactsDist = 3
bool | includeAtomTags
bool | clearBackground = true
DrawColour | backgroundColour
DrawColour | queryColour
int | legendFontSize = 16
double | legendFraction
int | maxFontSize = 40
int | minFontSize = 6
int | fixedFontSize
double | annotationFontScale = 0.5
std::string | fontFile = ""
DrawColour | legendColour
LegendPosition | legendPosition = LegendPosition::Bottom
bool | legendVerticalText = true
double | multipleBondOffset = 0.15
double | padding
double | componentPadding = 0.0
double | additionalAtomLabelPadding = 0.0
std::map< int, std::string > | atomLabels
bool | noAtomLabels
std::vector< std::vector< int > > | atomRegions
DrawColour | symbolColour
DrawColour | annotationColour
DrawColour | atomNoteColour
DrawColour | bondNoteColour
double | bondLineWidth = 2.0
bool | scaleBondWidth = false
bool | scaleHighlightBondWidth = true
int | highlightBondWidthMultiplier = 8
bool | prepareMolsBeforeDrawing = true
std::vector< DrawColour > | highlightColourPalette
ColourPalette | atomColourPalette
double | fixedScale
double | fixedBondLength
double | rotate = 0.0
bool | addAtomIndices = false
bool | addBondIndices = false
bool | isotopeLabels = true
bool | dummyIsotopeLabels = true
bool | addStereoAnnotation = false
bool | showAllCIPCodes = false
bool | atomHighlightsAreCircles = false
MultiColourHighlightStyle | multiColourHighlightStyle
bool | centreMoleculesBeforeDrawing = false
std::uint32_t | drawingExtentsInclude
bool | explicitMethyl = false
bool | includeRadicals
bool | includeMetadata
bool | comicMode = false
int | variableBondWidthMultiplier = 16
double | variableAtomRadius = 0.4
DrawColour | variableAttachmentColour
bool | includeChiralFlagLabel
bool | simplifiedStereoGroupLabel
std::string | stereoGroupAndLabel = "and"
std::string | stereoGroupOrLabel = "or"
std::string | stereoGroupAbsLabel = "abs"
bool | addStereoGroupAnnotation = true
bool | unspecifiedStereoIsUnknown = false
bool | singleColourWedgeBonds
bool | singleColourBonds = false
bool | useMolBlockWedging = false
double | scalingFactor = 20.0
double | baseFontSize
bool | drawMolsSameScale = true
bool | useComplexQueryAtomSymbols
bool | bracketsAroundAtomLists = true
bool | standardColoursForHighlightedAtoms

## Detailed Description

Definition at line 174 of file MolDraw2DHelpers.h.

## Member Enumeration Documentation

## LegendPosition

enum class RDKit::MolDrawOptions::LegendPosition

strong

Legend position relative to the molecule (only Bottom supported in drawMolecules grid; all four work for single-molecule drawing).

Enumerator
Bottom |
Top |
Left |
Right |

Definition at line 220 of file MolDraw2DHelpers.h.

## Constructor & Destructor Documentation

## MolDrawOptions()

RDKit::MolDrawOptions::MolDrawOptions | ( |  | ) |

inline

Definition at line 355 of file MolDraw2DHelpers.h.

References RDKit::assignDefaultPalette(), atomColourPalette, and highlightColourPalette.

## Member Data Documentation

## addAtomIndices

bool RDKit::MolDrawOptions::addAtomIndices = false

Definition at line 276 of file MolDraw2DHelpers.h.

## addBondIndices

bool RDKit::MolDrawOptions::addBondIndices = false

Definition at line 277 of file MolDraw2DHelpers.h.

## additionalAtomLabelPadding

double RDKit::MolDrawOptions::additionalAtomLabelPadding = 0.0

Definition at line 232 of file MolDraw2DHelpers.h.

## addStereoAnnotation

bool RDKit::MolDrawOptions::addStereoAnnotation = false

Definition at line 281 of file MolDraw2DHelpers.h.

## addStereoGroupAnnotation

bool RDKit::MolDrawOptions::addStereoGroupAnnotation = true

Definition at line 319 of file MolDraw2DHelpers.h.

## annotationColour

DrawColour RDKit::MolDrawOptions::annotationColour

Initial value:
{0.0, 0.0, 0.0,
1.0}

Definition at line 242 of file MolDraw2DHelpers.h.

Referenced by RDKit::setDarkMode(), and RDKit::setMonochromeMode().

## annotationFontScale

double RDKit::MolDrawOptions::annotationFontScale = 0.5

Definition at line 210 of file MolDraw2DHelpers.h.

## atomColourPalette

ColourPalette RDKit::MolDrawOptions::atomColourPalette

Definition at line 258 of file MolDraw2DHelpers.h.

Referenced by MolDrawOptions(), RDKit::setDarkMode(), and RDKit::setMonochromeMode().

## atomHighlightsAreCircles

bool RDKit::MolDrawOptions::atomHighlightsAreCircles = false

Definition at line 284 of file MolDraw2DHelpers.h.

## atomLabelDeuteriumTritium

bool RDKit::MolDrawOptions::atomLabelDeuteriumTritium

Initial value:
=
false

Definition at line 175 of file MolDraw2DHelpers.h.

## atomLabels

std::map<int, std::string> RDKit::MolDrawOptions::atomLabels

Definition at line 235 of file MolDraw2DHelpers.h.

## atomNoteColour

DrawColour RDKit::MolDrawOptions::atomNoteColour

Initial value:
{
0.0, 0.0, 0.0, 1.0}

Definition at line 244 of file MolDraw2DHelpers.h.

Referenced by RDKit::setDarkMode(), and RDKit::setMonochromeMode().

## atomRegions

std::vector<std::vector<int> > RDKit::MolDrawOptions::atomRegions

Definition at line 238 of file MolDraw2DHelpers.h.

## backgroundColour

DrawColour RDKit::MolDrawOptions::backgroundColour

Initial value:
{
1.0, 1.0, 1.0, 1.0}

Definition at line 196 of file MolDraw2DHelpers.h.

Referenced by RDKit::setDarkMode(), and RDKit::setMonochromeMode().

## baseFontSize

double RDKit::MolDrawOptions::baseFontSize

Initial value:
=
-1.0

Definition at line 337 of file MolDraw2DHelpers.h.

## bondLineWidth

double RDKit::MolDrawOptions::bondLineWidth = 2.0

Definition at line 248 of file MolDraw2DHelpers.h.

## bondNoteColour

DrawColour RDKit::MolDrawOptions::bondNoteColour

Initial value:
{
0.5, 0.5, 1.0, 1.0}

Definition at line 246 of file MolDraw2DHelpers.h.

Referenced by RDKit::setMonochromeMode().

## bracketsAroundAtomLists

bool RDKit::MolDrawOptions::bracketsAroundAtomLists = true

Definition at line 349 of file MolDraw2DHelpers.h.

## centreMoleculesBeforeDrawing

bool RDKit::MolDrawOptions::centreMoleculesBeforeDrawing = false

Definition at line 289 of file MolDraw2DHelpers.h.

## circleAtoms

bool RDKit::MolDrawOptions::circleAtoms = true

Definition at line 178 of file MolDraw2DHelpers.h.

## clearBackground

bool RDKit::MolDrawOptions::clearBackground = true

Definition at line 194 of file MolDraw2DHelpers.h.

## comicMode

bool RDKit::MolDrawOptions::comicMode = false

Definition at line 301 of file MolDraw2DHelpers.h.

## componentPadding

double RDKit::MolDrawOptions::componentPadding = 0.0

Definition at line 230 of file MolDraw2DHelpers.h.

## continuousHighlight

bool RDKit::MolDrawOptions::continuousHighlight = true

Definition at line 183 of file MolDraw2DHelpers.h.

## drawingExtentsInclude

std::uint32_t RDKit::MolDrawOptions::drawingExtentsInclude

Initial value:
=
DrawElement::ALL

Definition at line 291 of file MolDraw2DHelpers.h.

## drawMolsSameScale

bool RDKit::MolDrawOptions::drawMolsSameScale = true

Definition at line 341 of file MolDraw2DHelpers.h.

## dummiesAreAttachments

bool RDKit::MolDrawOptions::dummiesAreAttachments = false

Definition at line 177 of file MolDraw2DHelpers.h.

## dummyIsotopeLabels

bool RDKit::MolDrawOptions::dummyIsotopeLabels = true

Definition at line 279 of file MolDraw2DHelpers.h.

## explicitMethyl

bool RDKit::MolDrawOptions::explicitMethyl = false

Definition at line 294 of file MolDraw2DHelpers.h.

## fillHighlights

bool RDKit::MolDrawOptions::fillHighlights = true

Definition at line 185 of file MolDraw2DHelpers.h.

## fixedBondLength

double RDKit::MolDrawOptions::fixedBondLength

Initial value:
=
-1.0

Definition at line 266 of file MolDraw2DHelpers.h.

## fixedFontSize

int RDKit::MolDrawOptions::fixedFontSize

Initial value:
=
-1

Definition at line 207 of file MolDraw2DHelpers.h.

## fixedScale

double RDKit::MolDrawOptions::fixedScale

Initial value:
=
-1.0

Definition at line 261 of file MolDraw2DHelpers.h.

## flagCloseContactsDist

int RDKit::MolDrawOptions::flagCloseContactsDist = 3

Definition at line 189 of file MolDraw2DHelpers.h.

## fontFile

std::string RDKit::MolDrawOptions::fontFile = ""

Definition at line 212 of file MolDraw2DHelpers.h.

## highlightBondWidthMultiplier

int RDKit::MolDrawOptions::highlightBondWidthMultiplier = 8

Definition at line 251 of file MolDraw2DHelpers.h.

## highlightColour

DrawColour RDKit::MolDrawOptions::highlightColour {1.0, 0.5, 0.5, 1.0}

Definition at line 182 of file MolDraw2DHelpers.h.

## highlightColourPalette

std::vector<DrawColour> RDKit::MolDrawOptions::highlightColourPalette

Definition at line 255 of file MolDraw2DHelpers.h.

Referenced by MolDrawOptions().

## highlightRadius

double RDKit::MolDrawOptions::highlightRadius = 0.3

Definition at line 187 of file MolDraw2DHelpers.h.

## includeAtomTags

bool RDKit::MolDrawOptions::includeAtomTags

Initial value:
=
false

Definition at line 191 of file MolDraw2DHelpers.h.

## includeChiralFlagLabel

bool RDKit::MolDrawOptions::includeChiralFlagLabel

Initial value:
=
false

Definition at line 310 of file MolDraw2DHelpers.h.

## includeMetadata

bool RDKit::MolDrawOptions::includeMetadata

Initial value:
=
true

Definition at line 298 of file MolDraw2DHelpers.h.

## includeRadicals

bool RDKit::MolDrawOptions::includeRadicals

Initial value:
=
true

Definition at line 295 of file MolDraw2DHelpers.h.

## isotopeLabels

bool RDKit::MolDrawOptions::isotopeLabels = true

Definition at line 278 of file MolDraw2DHelpers.h.

## legendColour

DrawColour RDKit::MolDrawOptions::legendColour

Initial value:
{0, 0,
0}

Definition at line 216 of file MolDraw2DHelpers.h.

Referenced by RDKit::setDarkMode(), and RDKit::setMonochromeMode().

## legendFontSize

int RDKit::MolDrawOptions::legendFontSize = 16

Definition at line 200 of file MolDraw2DHelpers.h.

## legendFraction

double RDKit::MolDrawOptions::legendFraction

Initial value:
=
0.1

Definition at line 202 of file MolDraw2DHelpers.h.

## legendPosition

LegendPosition RDKit::MolDrawOptions::legendPosition = LegendPosition::Bottom

Definition at line 221 of file MolDraw2DHelpers.h.

## legendVerticalText

bool RDKit::MolDrawOptions::legendVerticalText = true

When legend is Left or Right, draw text vertically (one character per line). Ignored for Top/Bottom.

Definition at line 224 of file MolDraw2DHelpers.h.

## maxFontSize

int RDKit::MolDrawOptions::maxFontSize = 40

Definition at line 204 of file MolDraw2DHelpers.h.

## minFontSize

int RDKit::MolDrawOptions::minFontSize = 6

Definition at line 206 of file MolDraw2DHelpers.h.

## multiColourHighlightStyle

MultiColourHighlightStyle RDKit::MolDrawOptions::multiColourHighlightStyle

Initial value:
=
MultiColourHighlightStyle::CIRCLEANDLINE
RDKit::MultiColourHighlightStyle::CIRCLEANDLINE
@ CIRCLEANDLINE
Definition MolDraw2DHelpers.h:158

Definition at line 287 of file MolDraw2DHelpers.h.

## multipleBondOffset

double RDKit::MolDrawOptions::multipleBondOffset = 0.15

Definition at line 225 of file MolDraw2DHelpers.h.

## noAtomLabels

bool RDKit::MolDrawOptions::noAtomLabels

Initial value:
=
false

Definition at line 236 of file MolDraw2DHelpers.h.

## padding

double RDKit::MolDrawOptions::padding

Initial value:
=
0.05

Definition at line 228 of file MolDraw2DHelpers.h.

## prepareMolsBeforeDrawing

bool RDKit::MolDrawOptions::prepareMolsBeforeDrawing = true

Definition at line 253 of file MolDraw2DHelpers.h.

## queryColour

DrawColour RDKit::MolDrawOptions::queryColour

Initial value:
{0.5, 0.5, 0.5,
1.0}

Definition at line 198 of file MolDraw2DHelpers.h.

## rotate

double RDKit::MolDrawOptions::rotate = 0.0

Definition at line 274 of file MolDraw2DHelpers.h.

## scaleBondWidth

bool RDKit::MolDrawOptions::scaleBondWidth = false

Definition at line 249 of file MolDraw2DHelpers.h.

## scaleHighlightBondWidth

bool RDKit::MolDrawOptions::scaleHighlightBondWidth = true

Definition at line 250 of file MolDraw2DHelpers.h.

## scalingFactor

double RDKit::MolDrawOptions::scalingFactor = 20.0

Definition at line 335 of file MolDraw2DHelpers.h.

## showAllCIPCodes

bool RDKit::MolDrawOptions::showAllCIPCodes = false

Definition at line 282 of file MolDraw2DHelpers.h.

## simplifiedStereoGroupLabel

bool RDKit::MolDrawOptions::simplifiedStereoGroupLabel

Initial value:
=
false

Definition at line 312 of file MolDraw2DHelpers.h.

## singleColourBonds

bool RDKit::MolDrawOptions::singleColourBonds = false

Definition at line 329 of file MolDraw2DHelpers.h.

## singleColourWedgeBonds

bool RDKit::MolDrawOptions::singleColourWedgeBonds

Initial value:
=
false

Definition at line 325 of file MolDraw2DHelpers.h.

## splitBonds

bool RDKit::MolDrawOptions::splitBonds = false

Definition at line 179 of file MolDraw2DHelpers.h.

## standardColoursForHighlightedAtoms

bool RDKit::MolDrawOptions::standardColoursForHighlightedAtoms

Initial value:
=
false

Definition at line 351 of file MolDraw2DHelpers.h.

## stereoGroupAbsLabel

std::string RDKit::MolDrawOptions::stereoGroupAbsLabel = "abs"

Definition at line 318 of file MolDraw2DHelpers.h.

## stereoGroupAndLabel

std::string RDKit::MolDrawOptions::stereoGroupAndLabel = "and"

Definition at line 316 of file MolDraw2DHelpers.h.

## stereoGroupOrLabel

std::string RDKit::MolDrawOptions::stereoGroupOrLabel = "or"

Definition at line 317 of file MolDraw2DHelpers.h.

## symbolColour

DrawColour RDKit::MolDrawOptions::symbolColour

Initial value:
{
0.0, 0.0, 0.0,
1.0}

Definition at line 239 of file MolDraw2DHelpers.h.

Referenced by RDKit::setDarkMode(), and RDKit::setMonochromeMode().

## unspecifiedStereoIsUnknown

bool RDKit::MolDrawOptions::unspecifiedStereoIsUnknown = false

Definition at line 320 of file MolDraw2DHelpers.h.

## useComplexQueryAtomSymbols

bool RDKit::MolDrawOptions::useComplexQueryAtomSymbols

Initial value:
=
true

Definition at line 344 of file MolDraw2DHelpers.h.

## useMolBlockWedging

bool RDKit::MolDrawOptions::useMolBlockWedging = false

Definition at line 332 of file MolDraw2DHelpers.h.

## variableAtomRadius

double RDKit::MolDrawOptions::variableAtomRadius = 0.4

Definition at line 306 of file MolDraw2DHelpers.h.

## variableAttachmentColour

DrawColour RDKit::MolDrawOptions::variableAttachmentColour

Initial value:
= {
0.8, 0.8, 0.8, 1.0}

Definition at line 308 of file MolDraw2DHelpers.h.

Referenced by RDKit::setDarkMode(), and RDKit::setMonochromeMode().

## variableBondWidthMultiplier

int RDKit::MolDrawOptions::variableBondWidthMultiplier = 16

Definition at line 304 of file MolDraw2DHelpers.h.

The documentation for this struct was generated from the following file:

- MolDraw2DHelpers.h